## GtkSourceCompletionItem GtkSourceCompletionItem — Simple implementation of GtkSourceCompletionProposal |

## Functions

GtkSourceCompletionItem * | gtk_source_completion_item_new ()
GtkSourceCompletionItem * | gtk_source_completion_item_new_with_markup ()
GtkSourceCompletionItem * | gtk_source_completion_item_new_from_stock ()

## Properties

GIcon * | gicon | Read / Write
GdkPixbuf * | icon | Read / Write
gchar * | icon-name | Read / Write
gchar * | info | Read / Write
gchar * | label | Read / Write
gchar * | markup | Read / Write
gchar * | text | Read / Write

## Types and Values

| GtkSourceCompletionItem

## Object Hierarchy

        GObject
        ╰── GtkSourceCompletionItem

## Implemented Interfaces

GtkSourceCompletionItem implements GtkSourceCompletionProposal.

## Includes

    #include <gtksourceview/gtksource.h>

## Description

The GtkSourceCompletionItem class is a simple implementation of the GtkSourceCompletionProposal interface.

## Functions

### gtk_source_completion_item_new ()

    GtkSourceCompletionItem *
    gtk_source_completion_item_new (const gchar *label,
                                    const gchar *text,
                                    GdkPixbuf *icon,
                                    const gchar *info);

Create a new GtkSourceCompletionItem with label `label` , icon `icon` and extra information `info` . Both `icon` and `info` can be `NULL` in which case there will be no icon shown and no extra information available.

#### Parameters

label | The item label. |
text | The item text. |
icon | The item icon. | [allow-none]
info | The item extra information. | [allow-none]

#### Returns

a new GtkSourceCompletionItem.

### gtk_source_completion_item_new_with_markup ()

    GtkSourceCompletionItem *
    gtk_source_completion_item_new_with_markup
                                   (const gchar *markup,
                                    const gchar *text,
                                    GdkPixbuf *icon,
                                    const gchar *info);

Create a new GtkSourceCompletionItem with markup label `markup` , icon `icon` and extra information `info` . Both `icon` and `info` can be `NULL` in which case there will be no icon shown and no extra information available.

#### Parameters

markup | The item markup label. |
text | The item text. |
icon | The item icon. | [allow-none]
info | The item extra information. | [allow-none]

#### Returns

a new GtkSourceCompletionItem.

### gtk_source_completion_item_new_from_stock ()

    GtkSourceCompletionItem *
    gtk_source_completion_item_new_from_stock
                                   (const gchar *label,
                                    const gchar *text,
                                    const gchar *stock,
                                    const gchar *info);

`gtk_source_completion_item_new_from_stock` has been deprecated since version 3.10 and should not be used in newly-written code.

Use `gtk_source_completion_item_new()` instead.

Creates a new GtkSourceCompletionItem from a stock item. If `label` is `NULL`, the stock label will be used.

#### Parameters

label | The item label. | [allow-none]
text | The item text. |
stock | The stock icon. |
info | The item extra information. | [allow-none]

#### Returns

a new GtkSourceCompletionItem.

## Types and Values

### GtkSourceCompletionItem

    typedef struct _GtkSourceCompletionItem GtkSourceCompletionItem;

## Property Details

### The `“gicon”` property

      “gicon”                    GIcon *

The GIcon for the icon to be shown for this proposal.

Flags: Read / Write

Since: 3.18

### The `“icon”` property

      “icon”                     GdkPixbuf *

The GdkPixbuf for the icon to be shown for this proposal.

Flags: Read / Write

### The `“icon-name”` property

      “icon-name”                gchar *

The icon name for the icon to be shown for this proposal.

Flags: Read / Write

Default value: NULL

Since: 3.18

### The `“info”` property

      “info”                     gchar *

Optional extra information to be shown for this proposal.

Flags: Read / Write

Default value: NULL

### The `“label”` property

      “label”                    gchar *

Label to be shown for this proposal.

Flags: Read / Write

Default value: NULL

### The `“markup”` property

      “markup”                   gchar *

Label with markup to be shown for this proposal.

Flags: Read / Write

Default value: NULL

### The `“text”` property

      “text”                     gchar *

Proposal text.

Flags: Read / Write

Default value: NULL